--- title: "HTTP requests" slug: "http-requests" updated: 2025-08-19T11:52:16Z published: 2025-08-19T11:52:16Z canonical: "docs.grassfish.com/http-requests" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # HTTP requests The API acts as the intermediary between Grassfish IXM Aqua and the web server. When you use the API, you initiate an API call that instructs IXM Aqua to do something. In turn, IXM Aqua uses the API to request something from the web server. The API call that you make is essentially an HTTP request that allows you to either access a resource on the server or send data to the server. ## HTTP methods The HTTP method is a command that tells the server what to do. You can use the following HTTP methods in your requests to the API: | HTTP method | Description | | --- | --- | | GET | Retrieve a single item or a list of items. | | POST | Create an item or requesting more items with filters. | | PUT | Update an item. | | DELETE | Delete an item. | ## Header parameters Your requests to the IXM Aqua API can contain the following headers: - If you have access to multiple clients, add: `x-clientId: <ClientId>` ## Path parameters Your requests can also contain path parameters: - Path parameters are variable parts of a URL that point to a specific resource. - A URL can contain multiple path parameters, such as an API version or the unique ID of an item. ## URL The URL consists of at least a base API endpoint, optionally followed by the API version and the name of the resource. Depending on the request, additional parameters can be added to the URL, such as IDs and names of resources and child resources. **Example 1: Get a single broadcast** | HTTP request | `GET /v{version}/broadcasts/{id}` | | --- | --- | | URL | `https://connect.eu01.grassfish.com/api/v1.0/broadcasts/1234` | **Example 2: Select broadcasts via filter** | HTTP request | `POST /v{version}/selectbroadcasts { }` | | --- | --- | | URL | `https://connect.eu01.grassfish.com/api/v1.0/selectbroadcasts` | ```json {  "skip": 0,  "take": 0 } ``` API means application programming interface. An API consist of multiple definitions and protocols for developing and integrating application software. An API is an interface that allows independent applications to communicate with each other and exchange data. An API call or API request is a message to a server that requests an API to provide a service or information. HTTP stands for Hypertext Transfer Protocol. This is a standardized protocol for transmitting data between clients and servers on the internet. The client sends an HTTP request to the server using a standard set of methods such as GET to specify the action it wants to perform on a specific resource.